UnsupportedElementException (Apache Ant API)
Description: declaration: package: org.apache.tools.ant, class: UnsupportedElementException

Package org.apache.tools.ant

# Class UnsupportedElementException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.tools.ant.BuildException
org.apache.tools.ant.UnsupportedElementException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedElementException extends BuildException
Used to report attempts to set an unsupported element When the attempt to set the element is made, the code does not not know the name of the task/type based on a mapping from the classname to the task/type. However one class may be used by a lot of task/types. This exception may be caught by code that does know the task/type and it will reset the message to the correct message. This will be done once (in the case of a recursive call to handlechildren).

Since:
  Ant 1.6.3
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsupportedElementException​(String msg, String element)`
  Constructs an unsupported element exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getElement()`
  Get the element that is wrong.

  ### Methods inherited from class org.apache.tools.ant.BuildException

  `getException, getLocation, setLocation, toString`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnsupportedElementException

    public UnsupportedElementException​(String msg, String element)
    Constructs an unsupported element exception.
    Parameters:
      `msg` - The string containing the message.
      `element` - The name of the incorrect element.

- ## Method Details

  - ### getElement

    public String getElement()
    Get the element that is wrong.
    Returns:
      the element name.